Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008224TestLinkInstallerpublic2018-03-18 11:432018-10-06 15:43
ReporterJens Mohr 
Assigned Tofman 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product Version 
Fixed in Version 
Summary0008224: Installer - Path pre-settings incorrect
DescriptionWhen performing fresh installation installCheck.php stops with "FAIL" at determining the correct presence of the logs and upload_area folders although they are present at the "native" location.
Steps To Reproduce- FTP-upload the whole to the server folder
- Chown, Chmod as required
- Call .../your-testlink-folder/install/index.php
- accept license
-> here it stops

<...
Checking if /var/www/testlink/gui/templates_c directory exists OK

Checking if /var/testlink/logs/ directory exists [S] FAIL
Checking if /var/testlink/upload_area/ directory exists [S] FAIL
...>
Additional InformationUnlike the previous tests at this test the root-directory of the installation isn't recognized correctly.
Obviously the "/www" is missing.

Workaround:
Manually edit the config.inc.php to correct the "expected" paths to reflect your systems actual configuration.

But sholudnt this be part of "automated" script?
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQLi
BrowserFirefox
PHP Version7.0.25
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0027265)
fman (administrator)
2018-03-19 15:46

Checks are OK, you need to change this configuration on config_inc.php as part of installation process, and can not do automatically.

- Issue History
Date Modified Username Field Change
2018-03-18 11:43 Jens Mohr New Issue
2018-03-19 15:46 fman Note Added: 0027265
2018-03-19 15:46 fman QA Team - Task Workflow Status => TBD
2018-03-19 15:46 fman Status new => resolved
2018-03-19 15:46 fman Resolution open => won't fix
2018-03-19 15:46 fman Assigned To => fman
2018-10-06 15:43 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker